MinimServer Forum
0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - Printable Version

+- MinimServer Forum (http://forum.minimserver.com)
+-- Forum: MinimServer (/forumdisplay.php?fid=1)
+--- Forum: Support (/forumdisplay.php?fid=4)
+--- Thread: 0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK (/showthread.php?tid=4316)



0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - bitweasel - 29-12-2017 00:07

Just as an fyi, the ArmV5 package for Synology boxes will install on a DS409 running DSM 4.2, but once it installs, the package won't run.

The error references a missing glibc, which I'm unable to retrieve via ipkg.

/volume1/MinimServer/appData # cat minimserver-out.log
Error: dl failure on line 754
Error: failed /volume1/@appstore/MinimServer/lib/minimjre(linux-arm)-9.0.1.dir/jre/lib/client/libjvm.so, because /lib/libc.so.6: version `GLIBC_2.7' not found (required by /volume1/@appstore/MinimServer/lib/minimjre(linux-arm)-9.0.1.dir/jre/lib/client/libjvm.so)

Fortunately for me, I was able to find my 0.8.4.2 installer and roll back.

It would be awesome if there was a repository of the old synopackages. Since they aren't required to be stored on the NAS to install, it is possible to lose them - I did find it, once I got to the third computer in the house and went through its downloads.


RE: 0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - simoncn - 29-12-2017 12:30

MinimServer 0.8.5 contains a newer level of the JRE (Java Runtime Environment) and this appears to be incompatible with DSM 4.2.

What version of Java are you using with 0.8.4.2 and DSM 4.2? You can find this by looking at the first few lines of the MinimServer log.


RE: 0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - simoncn - 05-01-2018 21:37

Please download a test build of MinimServer 0.8.5.3 from this link and let me know whether this fixes the problem. Many thanks!


RE: 0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - bitweasel - 19-01-2018 21:07

(05-01-2018 21:37)simoncn Wrote:  Please download a test build of MinimServer 0.8.5.3 from this link and let me know whether this fixes the problem. Many thanks!

Awesome, checking it now.

I'm running Java SE embedded 8 on the 409, but it looks as if the new minim includes its own Java 9 that installed in parallel? Is that Java 9 available only to Minim, is it available systemwide, or am I not understanding the log, which refers to
"open JDK client VM 9.0.1 + 11"

So far so good. I have to admit, I hadn't looked at the logs before now. Looking at them, I may be able to fix some of the tagging issues I've been having - or wave the white flag and keep using folders.... the classical tagging is what's in the most trouble, it seems.

Thanks so much!


RE: 0.8.5.2 install on DS-409 won't run; 0.8.4.2 still OK - simoncn - 19-01-2018 21:12

Thanks for confirming that this is working.

The MinimJRE version of Java 9 (included with MinimServer for Synology ARM models) is tailored specifically for running MinimServer and is therefore not available systemwide.